//
var util = require("util");

var nested_resource = exports;

nested_resource.index = function(_req, _res, _resourceId, _cmd) {

	console.log("nested_resource index");
	console.log("\tresourceId:" + _resourceId);
	console.log("\tcmd:" + _cmd);

	_res.simpleText(200, "nested_resource index\n");
};

nested_resource.show = function(_req, _res, _resourceId, _nestedResourceId) {

	console.log("nested_resource show");
	console.log("\tresourceId:" + _resourceId);
	console.log("\tnestedResourceId:" + _nestedResourceId);

	_res.simpleText(200, "nested_resource show\n");
};

nested_resource.newing = function(_req, _res, _resourceId) {

	console.log("nested_resource newing");
	console.log("\tresourceId:" + _resourceId);

	_res.simpleText(200, "nested_resource newing\n");
};

nested_resource.create = function(_req, _res, _resourceId, _cmd, _data) {

	console.log("nested_resource create");
	console.log("\tresourceId:" + _resourceId);
	console.log("\tdata:" + util.inspect(_data));
	console.log("\tcmd:" + _cmd);

	_res.simpleText(200, "nested_resource create\n");
};

nested_resource.edit = function(_req, _res, _resourceId, _nestedResourceId) {

	console.log("nested_resource edit");
	console.log("\tresourceId:" + _resourceId);
	console.log("\tnestedResourceId:" + _nestedResourceId);

	_res.simpleText(200, "nested_resource edit\n");
};

nested_resource.update = function(_req, _res, _resourceId, _nestedResourceId, _data) {

	console.log("nested_resource update");
	console.log("\tresourceId:" + _resourceId);
	console.log("\tnestedResourceId:" + _nestedResourceId);
	console.log("\tdata:" + util.inspect(_data));

	_res.simpleText(200, "nested_resource update\n");
};

nested_resource.destroy = function(_req, _res, _resourceId, _nestedResourceId) {

	console.log("nested_resource destroy");
	console.log("\tresourceId:" + _resourceId);
	console.log("\tnestedResourceId:" + _nestedResourceId);

	_res.simpleText(200, "nested_resource destroy\n");
};
