//
var util = require("util");

var resource = exports;

resource.index = function(_req, _res, _cmd) {

	console.log("resource index");
	console.log("\tcmd:" + _cmd);
	
	_res.simpleText(200, "resource index\n");
};

resource.show = function(_req, _res, _resourceId) {

	console.log("resource show");
	console.log("\tresourceId:" + _resourceId);

	_res.simpleText(200, "resource show\n");
};

resource.newing = function(_req, _res) {

	console.log("resource newing");

	_res.simpleText(200, "resource newing\n");
};

resource.create = function(_req, _res, _cmd, _data) {

	console.log("resource create");
	console.log("\tcmd:" + _cmd);
	console.log("\tdata:" + util.inspect(_data));

	_res.simpleText(200, "resource create\n");
};

resource.edit = function(_req, _res, _resourceId) {

	console.log("resource edit");
	console.log("\tresourceId:" + _resourceId);

	_res.simpleText(200, "resource edit\n");
};

resource.update = function(_req, _res, _resourceId, _data) {

	console.log("resource update");
	console.log("\tresourceId:" + _resourceId);
	console.log("\tdata:" + util.inspect(_data));

	_res.simpleText(200, "resource update\n");
};

resource.destroy = function(_req, _res, _resourceId) {

	console.log("resource destroy");
	console.log("\tresourceId:" + _resourceId);

	_res.simpleText(200, "resource destroy\n");
};
